"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../testUtils");

var _rulesBlockNoEmpty = require("../rules/block-no-empty");

var _rulesBlockNoEmpty2 = _interopRequireDefault(_rulesBlockNoEmpty);

var testBlockNoEmpty = (0, _testUtils.ruleTester)(_rulesBlockNoEmpty2["default"], _rulesBlockNoEmpty.ruleName);

testBlockNoEmpty("disabling all rules", function (tr) {
  tr.notOk("a {}", _rulesBlockNoEmpty.messages.rejected);

  tr.ok("/* stylelint-disable */\na {}");

  tr.notOk("a {}\n/* stylelint-disable */", _rulesBlockNoEmpty.messages.rejected);
  tr.ok("b { color: pink;}\n/* stylelint-disable */\na {}");
});

testBlockNoEmpty("disabling specific rules", function (tr) {
  tr.ok("/* stylelint-disable " + _rulesBlockNoEmpty.ruleName + " */\na {}");
  tr.notOk("/* stylelint-disable declaration-no-important */\na {}", _rulesBlockNoEmpty.messages.rejected);
});

testBlockNoEmpty("multiple disabled ranges", function (tr) {
  tr.ok("/* stylelint-disable */\n" + "a {}\n" + "/* stylelint-enable */\n" + "/* stylelint-disable */\n" + "a {}\n");

  tr.notOk("/* stylelint-disable */\n" + "a {}\n" + "/* stylelint-enable */\n" + "a {}\n", _rulesBlockNoEmpty.messages.rejected);
});