"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _tape = require("tape");

var _tape2 = _interopRequireDefault(_tape);

var _postcss = require("postcss");

var _postcss2 = _interopRequireDefault(_postcss);

var _ = require("../");

var _2 = _interopRequireDefault(_);

var config = {
  rules: {
    "block-opening-brace-newline-after": [2, "always"],
    "color-no-invalid-hex": 2
  }
};

var css = "a {\n  color: #zzz;\n}\n\nb { background: pink; }\n\n/* stylelint-disable color-no-invalid-hex */\n.foo {\n  color: #yyy;\n}\n/* stylelint-enable */\n\n.bar {\n  color: #mmm;\n}\n";

(0, _postcss2["default"])().use((0, _2["default"])(config)).process(css).then(checkResult)["catch"](function (e) {
  return console.log(e.stack);
});

function checkResult(result) {
  var messages = result.messages;

  (0, _tape2["default"])("expected warnings", function (t) {
    t.equal(messages.length, 3);
    t.ok(messages.every(function (m) {
      return m.type === "warning";
    }));
    t.ok(messages.every(function (m) {
      return m.plugin === "stylelint";
    }));
    t.equal(messages[0].text, "Expected newline after \"{\" (block-opening-brace-newline-after)");
    t.equal(messages[1].text, "Unexpected invalid hex color \"#zzz\" (color-no-invalid-hex)");
    t.equal(messages[2].text, "Unexpected invalid hex color \"#mmm\" (color-no-invalid-hex)");
    t.end();
  });
}