"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "at-rule-no-vendor-prefix";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: function rejected(p) {
    return "Unexpected vendor-prefixed at-rule \"@" + p + "\"";
  }
});

exports.messages = messages;

exports["default"] = function () {
  return function (root, result) {
    root.eachAtRule(function (atRule) {
      var name = atRule.name;

      if (name[0] !== "-") {
        return;
      }

      if (_utils.isAutoprefixable.atRuleName(name)) {
        (0, _utils.report)({
          message: messages.rejected(name),
          node: atRule,
          result: result,
          ruleName: ruleName
        });
      }
    });
  };
};