"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "block-no-empty";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: "Unexpected empty block"
});

exports.messages = messages;

exports["default"] = function () {
  return function (root, result) {

    // Check both kinds of statements: rules and at-rules
    root.eachRule(check);
    root.eachAtRule(check);

    function check(statement) {
      if ((0, _utils.cssStatementHasBlock)(statement) && (0, _utils.cssStatementHasEmptyBlock)(statement)) {
        (0, _utils.report)({
          message: messages.rejected,
          node: statement,
          result: result,
          ruleName: ruleName
        });
      }
    }
  };
};