"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(null, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink; }");
  tr.ok("a { color: #000; }");
  tr.ok("a { something: #000, #fff, #ababab; }");
  tr.ok("a { color: #0000ffcc; }", "eight digits");
  tr.ok("a { color: #00fc; }", "four digits");

  tr.ok("a { padding: 000; }");
  tr.ok("a::before { content: \"#ababa\"; }");

  tr.notOk("a { color: #ababa; }", _.messages.rejected("#ababa"));
  tr.notOk("a { something: #00, #fff, #ababab; }", _.messages.rejected("#00"));
  tr.notOk("a { something: #000, #fff1az, #ababab; }", _.messages.rejected("#fff1az"));
  tr.notOk("a { something: #000, #fff, #12345aa; }", _.messages.rejected("#12345aa"));
});