"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "color-no-invalid-hex";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: function rejected(c) {
    return "Unexpected invalid hex color \"" + c + "\"";
  }
});

exports.messages = messages;

exports["default"] = function () {
  return function (root, result) {
    root.eachDecl(function (decl) {
      var value = decl.value;

      (0, _utils.styleSearch)({ source: value, target: "#" }, function (match) {

        var hexValue = /^#[0-9A-Za-z]+/.exec(value.substr(match.startIndex))[0];

        if (!/^#(?:[0-9a-fA-F]{3,4}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$/.test(hexValue)) {
          (0, _utils.report)({
            message: messages.rejected(hexValue),
            node: decl,
            result: result,
            ruleName: ruleName
          });
        }
      });
    });
  };
};