"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("/* comment */");
  tr.ok("/* comment comment */");
  tr.ok("/* comment\ncomment */");
  tr.ok("/* comment\n\ncomment */");

  tr.notOk("/*comment */", _.messages.expectedOpening);
  tr.notOk("/* comment*/", _.messages.expectedClosing);
  tr.notOk("/*  comment */", _.messages.expectedOpening);
  tr.notOk("/* comment  */", _.messages.expectedClosing);
  tr.notOk("/*comment comment */", _.messages.expectedOpening);
  tr.notOk("/* comment comment*/", _.messages.expectedClosing);
  tr.notOk("/*comment\n\ncomment */", _.messages.expectedOpening);
  tr.notOk("/* comment\n\ncomment*/", _.messages.expectedClosing);
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("/*comment*/");
  tr.ok("/*comment comment*/");
  tr.ok("/*comment\ncomment*/");
  tr.ok("/*comment\n\ncomment*/");

  tr.notOk("/* comment*/", _.messages.rejectedOpening);
  tr.notOk("/*comment */", _.messages.rejectedClosing);
  tr.notOk("/*  comment*/", _.messages.rejectedOpening);
  tr.notOk("/*comment  */", _.messages.rejectedClosing);
  tr.notOk("/* comment comment*/", _.messages.rejectedOpening);
  tr.notOk("/*comment comment */", _.messages.rejectedClosing);
  tr.notOk("/* comment\n\ncomment*/", _.messages.rejectedOpening);
  tr.notOk("/*comment\n\ncomment */", _.messages.rejectedClosing);
});