"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(/foo-.+/, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok(":root { --foo-bar: 0; }");
  tr.ok(":root { --boo-foo-bar: 0; }");
  tr.notOk(":root { --boo-bar: 0; }", _.messages.rejected);
  tr.notOk(":root { --foo-: 0; }", _.messages.rejected);
});

testRule(/^[A-Z][a-z]+-[a-z][a-zA-Z]+$/, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok(":root { --Foo-bar: 0; }");
  tr.ok(":root { --Foo-barBaz: 0; }");
  tr.notOk(":root { --boo-Foo-bar: 0; }", _.messages.rejected);
  tr.notOk(":root { --foo-bar: 0; }", _.messages.rejected);
  tr.notOk(":root { --Foo-Bar: 0; }", _.messages.rejected);
});