"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "custom-property-pattern";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: "Custom property name does not match specified pattern"
});

/**
 * @param {regexp} pattern
 */
exports.messages = messages;

exports["default"] = function (pattern) {
  return function (root, result) {
    root.eachDecl(function (decl) {
      var prop = decl.prop;
      if (prop.slice(0, 2) !== "--") {
        return;
      }

      if (!pattern.test(prop.slice(2))) {
        (0, _utils.report)({
          message: messages.rejected,
          node: decl,
          result: result,
          ruleName: ruleName
        });
      }
    });
  };
};