"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink; }", "no !important");
  tr.ok("a { color: pink! important; }", "space only after");
  tr.ok("a { color: pink ! important; }", "space before and after");
  tr.ok("a { color: pink\n! important; }", "newline before and space after");
  tr.ok("a { color: pink\r\n! important; }", "CRLF before and space after");

  tr.notOk("a { color: pink!important; }", _.messages.expectedAfter(), "no space after");
  tr.notOk("a { color: pink!  important; }", _.messages.expectedAfter(), "two spaces after");
  tr.notOk("a { color: pink!\nimportant; }", _.messages.expectedAfter(), "newline after");
  tr.notOk("a { color: pink!\r\nimportant; }", _.messages.expectedAfter(), "CRLF after");

  tr.ok("a::before { content: \"!!!\" ! important; }", "ignores string");
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink; }", "no !important");
  tr.ok("a { color: pink!important; }", "no space before or after");
  tr.ok("a { color: pink !important; }", "space before and none after");
  tr.ok("a { color: pink\n!important; }", "newline before and none after");
  tr.ok("a { color: pink\r\n!important; }", "CRLF before and none after");

  tr.notOk("a { color: pink! important; }", _.messages.rejectedAfter(), "space after");
  tr.notOk("a { color: pink!\nimportant; }", _.messages.rejectedAfter(), "newline after");
  tr.notOk("a { color: pink!\r\nimportant; }", _.messages.rejectedAfter(), "CRLF after");
});