"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink; }", "no !important");
  tr.ok("a { color: pink !important; }", "space only before");
  tr.ok("a { color: pink ! important; }", "space before and after");
  tr.ok("a { color: pink !\nimportant; }", "space before and newline after");
  tr.ok("a { color: pink !\r\nimportant; }", "space before and CRLF after");

  tr.notOk("a { color: pink  !important; }", _.messages.expectedBefore(), "two spaces before");
  tr.notOk("a { color: pink!important; }", _.messages.expectedBefore(), "no space before");
  tr.notOk("a { color: pink\n!important; }", _.messages.expectedBefore(), "newline before");
  tr.notOk("a { color: pink\r\n!important; }", _.messages.expectedBefore(), "CRLF before");

  tr.ok("a::before { content: \"!!!\" !important; }", "ignores string");
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink; }", "no !important");
  tr.ok("a { color: pink!important; }", "no spaces");
  tr.ok("a { color: pink! important; }", "no space before and after");
  tr.ok("a { color: pink!\nimportant; }", "no space before and newline after");
  tr.ok("a { color: pink!\r\nimportant; }", "no space before and CRLF after");

  tr.notOk("a { color: pink !important; }", _.messages.rejectedBefore(), "space before");
  tr.notOk("a { color: pink\n!important; }", _.messages.rejectedBefore(), "newline before");
  tr.notOk("a { color: pink\r\n!important; }", _.messages.rejectedBefore(), "CRLF before");
});