"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "declaration-no-important";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: "Unexpected !important"
});

exports.messages = messages;

exports["default"] = function () {
  return function (root, result) {
    root.eachDecl(function (decl) {
      if (!decl.important) {
        return;
      }

      (0, _utils.report)({
        message: messages.rejected,
        node: decl,
        result: result,
        ruleName: ruleName
      });
    });
  };
};