"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(null, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { padding: 0 /* calc(1px+2px) */ 0; }");
  tr.ok("a { color: color(red s(-10%)); }");
  tr.ok("a { color: color(red s( -10%)); }");

  tr.ok("a { top: calc(1px + 2px); }");
  tr.ok("a { top: calc(1px - 2px); }");
  tr.ok("a { top: calc(1px * 2); }");
  tr.ok("a { top: calc(1px / 2); }");
  tr.ok("a { top: calc(calc(1em * 2) / 3); }");

  tr.ok("a { top: calc(+1px)}", "sign");
  tr.ok("a { top: calc(1px + -1px)}", "sign after operator");
  tr.ok("a { top: calc(-1px * -1)}", "sign after operator and at start");
  tr.ok("a { top: calc(    +1px)}", "multiple spaces before sign at start");
  tr.ok("a { top: calc(\t+1px)}", "tab before sign at start");

  tr.notOk("a { top: calc(1px +\t-1px)}", _.messages.expectedAfter("+"), "tab before sign after operator");
  tr.notOk("a { top: calc(1px +  -1px)}", _.messages.expectedAfter("+"), "multiple spaces before sign after operator");

  tr.notOk("a { top: calc(1px+ 2px); }", _.messages.expectedBefore("+"));
  tr.notOk("a { top: calc(1px  + 2px); }", _.messages.expectedBefore("+"));
  tr.notOk("a { top: calc(1px\t+ 2px); }", _.messages.expectedBefore("+"));
  tr.notOk("a { top: calc(1px +  2px); }", _.messages.expectedAfter("+"));
  tr.notOk("a { top: calc(1px +\t2px); }", _.messages.expectedAfter("+"));
  tr.notOk("a { top: calc(1px- 2px); }", _.messages.expectedBefore("-"));
  tr.notOk("a { top: calc(1px* 2); }", _.messages.expectedBefore("*"));
  tr.notOk("a { top: calc(1px *2); }", _.messages.expectedAfter("*"));
  tr.notOk("a { top: calc(1px/ 2); }", _.messages.expectedBefore("/"));
  tr.notOk("a { top: calc(1px /2); }", _.messages.expectedAfter("/"));
  tr.notOk("a { top: calc(calc(1px* 2px) + 3px); }", _.messages.expectedBefore("*"));
  tr.notOk("a { top: calc(calc(1px + 2px)* 3px); }", _.messages.expectedBefore("*"));

  tr.notOk("a { top: calc(1px +2px); }", _.messages.expectedOperatorBeforeSign("+"));
  tr.notOk("a { top: calc(1px -2px); }", _.messages.expectedOperatorBeforeSign("-"));
});