"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a::before { content: \"func(foo,bar,baz)\"; }");
  tr.ok("a::before { background: url('func(foo,bar,baz)'); }");
  tr.ok("a { background-size: 0,0,0; }");
  tr.ok("a { transform: translate(1 , 1); }");
  tr.ok("a { transform: translate(1, 1); }");
  tr.ok("a { transform: color(rgb(0 , 0, 0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1,1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1,  1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1,\n1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: translate(1,\r\n1); }", _.messages.expectedAfter(), "CRLF");
  tr.notOk("a { transform: translate(1,\t1); }", _.messages.expectedAfter());
  tr.notOk("a { transform: color(rgb(0 , 0 ,0) lightness(50%)); }", _.messages.expectedAfter());
  tr.notOk("a { transform: color(lightness(50%) rgb(0 , 0 ,0)); }", _.messages.expectedAfter());
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a::before { content: \"func(foo, bar, baz)\"; }");
  tr.ok("a::before { background: url('func(foo, bar, baz)'); }");
  tr.ok("a { background-size: 0, 0, 0; }");
  tr.ok("a { transform: translate(1 ,1); }");
  tr.ok("a { transform: translate(1,1); }");
  tr.ok("a { transform: color(rgb(0 ,0,0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1, 1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: translate(1,  1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: translate(1,\n1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: translate(1,\r\n1); }", _.messages.rejectedAfter(), "CRLF");
  tr.notOk("a { transform: translate(1,\t1); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: color(rgb(0 , 0 ,0) lightness(50%)); }", _.messages.rejectedAfter());
  tr.notOk("a { transform: lightness(50%) color(rgb(0 , 0 ,0) ); }", _.messages.rejectedAfter());
});