"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a::before { content: \"func(foo,bar,baz)\"; }");
  tr.ok("a::before { background: url('func(foo,bar,baz)'); }");
  tr.ok("a { background-size: 0, 0, 0; }");
  tr.ok("a { transform: translate(1 , 1); }");
  tr.ok("a { transform: translate(1 ,1); }");
  tr.ok("a { transform: color(rgb(0 , 0 ,0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1, 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1  , 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1\n, 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: translate(1\r\n, 1); }", _.messages.expectedBefore(), "CRLF");
  tr.notOk("a { transform: translate(1\t, 1); }", _.messages.expectedBefore());
  tr.notOk("a { transform: color(rgb(0 , 0, 0) lightness(50%)); }", _.messages.expectedBefore());
  tr.notOk("a { transform: color(lightness(50%) rgb(0 , 0, 0)); }", _.messages.expectedBefore());
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a::before { content: \"func(foo ,bar ,baz)\"; }");
  tr.ok("a::before { background: url('func(foo ,bar ,baz)'); }");
  tr.ok("a { background-size: 0 , 0 , 0; }");
  tr.ok("a { transform: translate(1, 1); }");
  tr.ok("a { transform: translate(1,1); }");
  tr.ok("a { transform: color(rgb(0, 0,0) lightness(50%)); }");

  tr.notOk("a { transform: translate(1 , 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1  , 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1\n, 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: translate(1\r\n, 1); }", _.messages.rejectedBefore(), "CRLF");
  tr.notOk("a { transform: translate(1\t, 1); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: color(rgb(0, 0 , 0) lightness(50%)); }", _.messages.rejectedBefore());
  tr.notOk("a { transform: color(lightness(50%) rgb(0, 0 , 0)); }", _.messages.rejectedBefore());
});