"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a::before { content: \"(a) ( a )\"; }");
  tr.ok("a::before { background: url( 'asdf(Vcxvsd)ASD' ); }");
  tr.ok("a { transform: translate( 1, 1 ); }");
  tr.ok("a { color: color( rgb( 0, 0, 0 ) lightness( 50% ) ); }");

  tr.notOk("a { transform: translate(1, 1 ); }", _.messages.expectedOpening);
  tr.notOk("a { transform: translate( 1, 1); }", _.messages.expectedClosing);
  tr.notOk("a { transform: translate(  1, 1 ); }", _.messages.expectedOpening);
  tr.notOk("a { transform: translate( 1, 1  ); }", _.messages.expectedClosing);
  tr.notOk("a { color: color(rgb( 0, 0, 0 ) lightness( 50% ) ); }", _.messages.expectedOpening);
  tr.notOk("a { color: color( rgb(0, 0, 0 ) lightness( 50% ) ); }", _.messages.expectedOpening);
  tr.notOk("a { color: color( rgb( 0, 0, 0) lightness( 50% ) ); }", _.messages.expectedClosing);
  tr.notOk("a { color: color( rgb( 0, 0, 0 ) lightness(50% ) ); }", _.messages.expectedOpening);
  tr.notOk("a { color: color( rgb( 0, 0, 0 ) lightness( 50%) ); }", _.messages.expectedClosing);
  tr.notOk("a { color: color( rgb( 0, 0, 0 ) lightness( 50% )); }", _.messages.expectedClosing);
  tr.notOk("a::before { content: attr(data-foo ); }", _.messages.expectedOpening);
  tr.notOk("a::before { content: attr( data-foo); }", _.messages.expectedClosing);
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a::before { content: \"(a) ( a )\"; }");
  tr.ok("a::before { background: url('asdf( Vcxvsd )ASD'); }");
  tr.ok("a::before { content: \"(a) ( a )\"; }");
  tr.ok("a { transform: translate(1, 1); }");
  tr.ok("a { color: color(rgb(0, 0, 0) lightness(50%)); }");

  tr.notOk("a { transform: translate( 1, 1); }", _.messages.rejectedOpening);
  tr.notOk("a { transform: translate(  1, 1); }", _.messages.rejectedOpening);
  tr.notOk("a { transform: translate(1, 1 ); }", _.messages.rejectedClosing);
  tr.notOk("a { transform: translate(1, 1  ); }", _.messages.rejectedClosing);
  tr.notOk("a { color: color( rgb(0, 0, 0) lightness(50%)); }", _.messages.rejectedOpening);
  tr.notOk("a { color: color(rgb( 0, 0, 0) lightness(50%)); }", _.messages.rejectedOpening);
  tr.notOk("a { color: color(rgb(0, 0, 0 ) lightness(50%)); }", _.messages.rejectedClosing);
  tr.notOk("a { color: color(rgb(0, 0, 0) lightness( 50%)); }", _.messages.rejectedOpening);
  tr.notOk("a { color: color(rgb(0, 0, 0) lightness(50% )); }", _.messages.rejectedClosing);
  tr.notOk("a { color: color(rgb(0, 0, 0) lightness(50%) ); }", _.messages.rejectedClosing);
  tr.notOk("a::before { content: attr(data-foo ); }", _.messages.rejectedClosing);
  tr.notOk("a::before { content: attr( data-foo); }", _.messages.rejectedOpening);
});