"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a::before { content: \"var(--hoot)color(blue)\"; }");
  tr.ok("a::before { background: url('var(--hoot)color(blue)'); }");
  tr.ok("a::before { content: attr(data-foo); }");
  tr.ok("a { transform: translate(1, 1); }");
  tr.ok("a { transform: translate(1, 1) }");
  tr.ok("a { transform: translate(1, 1)}");
  tr.ok("a { transform: translate(1, 1) scale(3); }");
  tr.ok("a { color: color(rgb(0,0,0) lightness(50%)) };");
  tr.ok("a { background-image: linear-gradient(#f3c, #4ec), linear-gradient(#f3c, #4ec); }", "multiple comma-separated functions ");
  tr.ok("a { border-color: color(rgb(0,0,0) lightness(50%)) red pink orange; }", "function within a function as one of multiple space-separated values");

  tr.notOk("a { transform: translate(1, 1)scale(3); }", _.messages.expected);
  tr.notOk("a { transform: translate(1, 1)  scale(3); }", _.messages.expected);
  tr.notOk("a { transform: translate(1, 1)\nscale(3); }", _.messages.expected);
  tr.notOk("a { transform: translate(1, 1)\r\nscale(3); }", _.messages.expected, "CRLF");
  tr.notOk("a { color: color(rgb(0,0,0)lightness(50%)) };", _.messages.expected);
  tr.notOk("a { color: color(rgb(0,0,0)  lightness(50%)) };", _.messages.expected);
  tr.notOk("a { color: color(rgb(0,0,0)\nlightness(50%)) };", _.messages.expected);
  tr.notOk("a { color: color(rgb(0,0,0)\r\nlightness(50%)) };", _.messages.expected, "CRLF");
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a::before { content: \"var(--hoot) color(blue)\"; }");
  tr.ok("a::before { background: url('var(--hoot) color(blue)'); }");
  tr.ok("a::before { content: attr(data-foo); }");
  tr.ok("a { transform: translate(1, 1); }");
  tr.ok("a { transform: translate(1, 1) }");
  tr.ok("a { transform: translate(1, 1)}");
  tr.ok("a { transform: translate(1, 1)scale(3); }");
  tr.ok("a { color: color(rgb(0,0,0)lightness(50%)) };");

  tr.notOk("a { transform: translate(1, 1) scale(3); }", _.messages.rejected);
  tr.notOk("a { transform: translate(1, 1)  scale(3); }", _.messages.rejected);
  tr.notOk("a { transform: translate(1, 1)\nscale(3); }", _.messages.rejected);
  tr.notOk("a { transform: translate(1, 1)\r\nscale(3); }", _.messages.rejected, "CRLF");
  tr.notOk("a { color: color(rgb(0,0,0) lightness(50%)) };", _.messages.rejected);
  tr.notOk("a { color: color(rgb(0,0,0)  lightness(50%)) };", _.messages.rejected);
  tr.notOk("a { color: color(rgb(0,0,0)\nlightness(50%)) };", _.messages.rejected);
});