/* eslint-disable indent, no-multiple-empty-lines */

"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

// 2 spaces
testRule(2, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("@media print {\n  a {\n    color: pink;\n  }\n}");

  tr.ok("@media print {\n  a {\n    color: pink;\n  }\n}\n\n@media screen {\n  b { color: orange; }\n}");

  tr.notOk("\n  @media print {\n  a {\n    color: pink;\n  }\n}", _.messages.expected("0 spaces at line 2"));

  tr.notOk("@media print {\na {\n    color: pink;\n  }\n}", _.messages.expected("2 spaces at line 2"));

  tr.notOk("@media print {\n  a {\n  color: pink;\n  }\n}", _.messages.expected("4 spaces at line 3"));

  tr.notOk("@media print {\n  a {\n    color: pink;\n}\n}", _.messages.expected("2 spaces at line 4"));

  tr.notOk("@media print {\n  a {\n    color: pink;\n  }\n\t}", _.messages.expected("0 spaces at line 5"));
});

// tab except block
testRule("tab", { except: ["block"] }, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("@media print {\n\na {\n\tcolor: pink;\n}\n\n}");

  tr.notOk("@media print {\n\n\ta {\n\tcolor: pink;\n}\n\n}", _.messages.expected("0 tabs at line 3"));

  tr.notOk("@media print {\n\na {\ncolor: pink;\n}\n\n}", _.messages.expected("1 tab at line 4"));
});