/* eslint-disable indent, no-multiple-empty-lines */

"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(2, { hierarchicalSelectors: true }, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok(".foo {}\n.foo {}");

  tr.ok("@media print {\n  a {\n    color: pink;\n  }\n}");

  tr.ok(".foo {}\n.bar {}\n.baz {}");

  tr.notOk(".foo {}\n  .bar {}\n.baz {}", _.messages.expected("0 spaces at line 2"));

  tr.ok(".foo {}\n  .foo-one {}\n.bar {}\n  .bar-one {}");

  tr.ok(".foo {\n  top: 0;\n}\n  .foo-one {\n    top: 1px;\n  }");

  tr.notOk(".foo {}\n    .foo-one {}\n.bar {}\n  .bar-one {}", _.messages.expected("2 spaces at line 2"));

  tr.notOk(".foo {}\n  .foo-one {}\n.bar {}\n   .bar-one {}", _.messages.expected("2 spaces at line 4"));

  tr.notOk(".foo {}\n  .foo-one {}\n.bar {}\n  .bar-one {\n  top: 0;\n  }", _.messages.expected("4 spaces at line 5"));

  tr.notOk(".foo {}\n  .foo-one {}\n  .bar {}\n  .bar-one {}", _.messages.expected("0 spaces at line 3"));

  tr.notOk(".foo {}\n  .foo-one {\n    color: pink;\n     top: 0;\n  }", _.messages.expected("4 spaces at line 4"));

  tr.ok(".foo {}\n  .foo-one {}\n    .foo-one-sub {}");

  tr.notOk(".foo {}\n  .foo-one {}\n  .foo-one-sub {}", _.messages.expected("4 spaces at line 3"));

  tr.ok(".foo {}\n  .foo-one {}\n  .foo-two {}\n    .foo-two-sub {}\n  .foo-three {}\n.bar {}");

  tr.notOk(".foo {}\n  .foo-one {}\n  .foo-two {}\n  .foo-two-sub {}\n  .foo-three {}\n.bar {}", _.messages.expected("4 spaces at line 4"));

  tr.notOk(".foo {}\n  .foo-one {\n    top: 0;\n  }\n  .foo-two {}\n    .foo-two-sub {\n      top: 10px;\n    }\n  .foo-three {}\n  .bar {}", _.messages.expected("0 spaces at line 10"));

  tr.ok("#foo {\n  top: 3px;\n}\n  #foo ul {}\n    #foo ul > li {}\n      #foo ul > li span {\n        top: 4px;\n      }\n    #foo ul a {}\n  #foo div {\n    top: 6px;\n  }\n    #foo div span {}\n#bar {}");

  tr.notOk("#foo {}\n  #foo ul {}\n    #foo ul > li {}\n      #foo ul li span {}\n    #foo ul a {}\n  #foo div {}\n    #foo div span {}\n#bar {}", _.messages.expected("4 spaces at line 4"));

  tr.notOk("#foo {}\n  #foo ul {}\n    #foo ul > li {}\n      #foo ul > li span {}\n  #foo ul a {}\n  #foo div {}\n    #foo div span {}\n#bar {}", _.messages.expected("4 spaces at line 5"));

  tr.ok("#bar {}\n#baz {}\n#bar a {}\n#baz b {}");

  tr.notOk("#bar {}\n#baz {}\n  #bar a {}\n#baz b {}", _.messages.expected("0 spaces at line 3"));

  tr.ok("@media print {\n  .foo {\n    top: 0;\n  }\n    .foo-bar {\n      top: 10px;\n    }\n  .bar {\n    top: 1px;\n  }\n}");

  tr.notOk("@media print {\n  .foo {\n    top: 0;\n  }\n    .foo-bar {\n      top: 10px;\n       bottom: 0;\n    }\n  .bar {\n    top: 1px;\n  }\n}", _.messages.expected("6 spaces at line 7"));

  tr.ok(".foo {}\n  @media print {\n    .foo-one {\n      color: pink;\n    }\n  }");

  tr.notOk(".foo {}\n  @media print {\n  .foo-one {\n      color: pink;\n    }\n  }", _.messages.expected("4 spaces at line 3"));

  tr.ok(".foo {}\n  @media print {\n    .foo-one {}\n  }");

  tr.notOk(".foo {}\n  @media print {\n      .foo-one {}\n  }", _.messages.expected("4 spaces at line 3"));

  tr.ok(":root {\n  --Grid: #fff;\n}\n\n.r-Grid {\n  color: red;\n}\n\n  .r-Grid-cell {\n    text-align: center;\n  }");
});