/* eslint-disable indent, no-multiple-empty-lines */

"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

// 2 spaces
testRule(2, function (tr) {

  tr.ok("a { color: pink; }\n");

  tr.ok("a,\nb { color: pink; }\n");

  tr.ok("a,\nb,\nc { color: pink; }\n");

  tr.ok("@media print {\n  a,\n  b { color: pink;}\n}\n");

  tr.notOk("a,\n  b { color: pink; }\n", _.messages.expected("0 spaces at line 2"));

  tr.notOk("a,\nb,\n c { color: pink; }\n", _.messages.expected("0 spaces at line 3"));

  tr.notOk("@media print {\n  a,\nb { color: pink;}\n}\n", _.messages.expected("2 spaces at line 3"));

  tr.notOk("@media print {\n  a,\n   b { color: pink;}\n}\n", _.messages.expected("2 spaces at line 3"));

  tr.notOk("@media print {\n   a,\n  b { color: pink;}\n}\n", _.messages.expected("2 spaces at line 2"));
});