"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "media-feature-name-no-vendor-prefix";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: "Unexpected vendor-prefixed media feature name"
});

exports.messages = messages;

exports["default"] = function () {
  return function (root, result) {
    root.eachAtRule(function (atRule) {
      var params = atRule.params;

      if (_utils.isAutoprefixable.mediaFeatureName(params)) {
        (0, _utils.report)({
          message: messages.rejected,
          node: atRule,
          result: result,
          ruleName: ruleName
        });
      }
    });
  };
};