"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("@media (max-width = 600px) {}");
  tr.ok("@media (max-width >600px) {}");
  tr.ok("@media (max-width >= 600px) and (min-width <= 3em) {}");

  tr.notOk("@media (max-width< 600px) {}", _.messages.expectedBefore());
  tr.notOk("@media (max-width  <= 600px) {}", _.messages.expectedBefore());
  tr.notOk("@media (max-width\t= 600px) {}", _.messages.expectedBefore());
  tr.notOk("@media (max-width\n> 600px) {}", _.messages.expectedBefore());
  tr.notOk("@media (max-width\r\n> 600px) {}", _.messages.expectedBefore(), "CRLF");
  tr.notOk("@media (max-width>= 600px) and (min-width < 3em) {}", _.messages.expectedBefore());
  tr.notOk("@media (max-width > 600px) and (min-width= 3em) {}", _.messages.expectedBefore());
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("@media (max-width= 600px) {}");
  tr.ok("@media (max-width>600px) {}");
  tr.ok("@media (max-width>= 600px) and (min-width<= 3em) {}");

  tr.notOk("@media (max-width < 600px) {}", _.messages.rejectedBefore());
  tr.notOk("@media (max-width  <= 600px) {}", _.messages.rejectedBefore());
  tr.notOk("@media (max-width\t= 600px) {}", _.messages.rejectedBefore());
  tr.notOk("@media (max-width\n> 600px) {}", _.messages.rejectedBefore());
  tr.notOk("@media (max-width\r\n> 600px) {}", _.messages.rejectedBefore(), "CRLF");
  tr.notOk("@media (max-width>= 600px) and (min-width < 3em) {}", _.messages.rejectedBefore());
  tr.notOk("@media (max-width > 600px) and (min-width= 3em) {}", _.messages.rejectedBefore());
});