"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("@media ( max-width: 300px ) {}");
  tr.ok("@media screen and ( color ), projection and ( color ) {}");
  tr.ok("@media ( grid ) and ( max-width: 15em ) {}");

  tr.notOk("@media (max-width: 300px ) {}", _.messages.expectedOpening);
  tr.notOk("@media ( max-width: 300px) {}", _.messages.expectedClosing);
  tr.notOk("@media screen and (color ), projection and ( color ) {}", _.messages.expectedOpening);
  tr.notOk("@media screen and ( color), projection and ( color ) {}", _.messages.expectedClosing);
  tr.notOk("@media screen and ( color ), projection and (color ) {}", _.messages.expectedOpening);
  tr.notOk("@media screen and ( color ), projection and ( color) {}", _.messages.expectedClosing);
  tr.notOk("@media ( grid ) and (max-width: 15em ) {}", _.messages.expectedOpening);
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("@media (max-width: 300px) {}");
  tr.ok("@media screen and (color), projection and (color) {}");
  tr.ok("@media (grid) and (max-width: 15em) {}");

  tr.notOk("@media (max-width: 300px ) {}", _.messages.rejectedClosing);
  tr.notOk("@media ( max-width: 300px) {}", _.messages.rejectedOpening);
  tr.notOk("@media screen and (color ), projection and (color) {}", _.messages.rejectedClosing);
  tr.notOk("@media screen and ( color), projection and (color) {}", _.messages.rejectedOpening);
  tr.notOk("@media screen and (color), projection and (color ) {}", _.messages.rejectedClosing);
  tr.notOk("@media screen and (color), projection and ( color) {}", _.messages.rejectedOpening);
  tr.notOk("@media (grid) and (max-width: 15em ) {}", _.messages.rejectedClosing);
});