"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "no-eol-whitespace";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: function rejected(line) {
    return "Unexpected whitespace at end of line " + line;
  }
});

exports.messages = messages;
var whitespacesToReject = [" ", "\t"];

exports["default"] = function () {
  return function (root, result) {
    var lineCount = 0;
    var rootString = root.source.input.css;
    (0, _utils.styleSearch)({ source: rootString, target: ["\n", "\r"], checkComments: true }, function (match) {
      lineCount++;
      if (whitespacesToReject.indexOf(rootString[match.startIndex - 1]) !== -1) {
        (0, _utils.report)({
          message: messages.rejected(lineCount),
          node: root,
          line: lineCount,
          result: result,
          ruleName: ruleName
        });
      }
    });
  };
};