"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(null, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a {}\nb {}");
  tr.ok("a {}\r\nb {}");
  tr.ok("a {}\n\nb{}");
  tr.ok("a {}\r\n\r\nb{}");
  tr.ok("/** horse */\n\nb{}");
  tr.ok("/** horse */\r\n\r\nb{}");
  tr.ok("a{}\n\n/** horse */\n\nb{}");
  tr.ok("a{}\r\n\r\n/** horse */\r\n\r\nb{}");

  tr.notOk("a {}\n\n\nb{}", _.messages.rejected(3));
  tr.notOk("a {}\r\n\r\n\r\nb{}", _.messages.rejected(3));
  tr.notOk("a {}\n\n/** horse */\n\n\nb{}", _.messages.rejected(5));
  tr.notOk("a {}\r\n\r\n/** horse */\r\n\r\n\r\nb{}", _.messages.rejected(5));
  tr.notOk("/* horse\n\n\n */\na{}", _.messages.rejected(3));
  tr.notOk("/* horse\r\n\r\n\r\n */\r\na{}", _.messages.rejected(3));
});