"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "no-multiple-empty-lines";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: function rejected(line) {
    return "Unexpected empty line at line " + line;
  }
});

exports.messages = messages;

exports["default"] = function () {
  return function (root, result) {
    var lineCount = 0;
    var rootString = root.source.input.css;
    (0, _utils.styleSearch)({ source: rootString, target: "\n", checkComments: true }, function (match) {
      lineCount++;
      if (rootString.substr(match.startIndex + 1, 2) === "\n\n" || rootString.substr(match.startIndex + 1, 4) === "\r\n\r\n") {
        var line = lineCount + 2;
        (0, _utils.report)({
          message: messages.rejected(line),
          node: root,
          line: line,
          result: result,
          ruleName: ruleName
        });
      }
    });
  };
};