"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(null, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { padding: 1px; }");
  tr.ok("a { padding: 10px; }");
  tr.ok("a { padding: 10.01px; }");
  tr.ok("a { padding: 10px 1px 1.05px 3.00003em; }");
  tr.ok("a { padding: 0.01px; }");
  tr.ok("a { padding: .01px; }");
  tr.ok("@media (min-width: 100px) {}");

  tr.notOk("a { padding: 1.0px; }", _.messages.rejected);
  tr.notOk("a { padding: 1.000px; }", _.messages.rejected);
  tr.notOk("a { padding: 10.0px; }", _.messages.rejected);
  tr.notOk("a { padding: 10.010px; }", _.messages.rejected);
  tr.notOk("a { padding: 10.010px; }", _.messages.rejected);
  tr.notOk("a { padding: 0.010px; }", _.messages.rejected);
  tr.notOk("a { padding: .010px; }", _.messages.rejected);
  tr.notOk("a { transform: translate(2px, 0.40px); }", _.messages.rejected);
  tr.notOk("a { padding: 10px 1px 10.010px 3.00003em; }", _.messages.rejected);
  tr.notOk("a { padding: 10px 1px 10.01px 3.000030em; }", _.messages.rejected);
  tr.notOk("@media (min-width: 100.0px) {}", _.messages.rejected);
});