"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(null, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok(":root { --foo-bar: 1px; }");
  tr.ok("a { color: pink; --webkit-transform: 1px; }");
  tr.ok("a { transform: scale(1); }");
  tr.ok("a { box-sizing: border-box; }");
  tr.ok("a { -webkit-font-smoothing: antialiased; }", "non-standard prefixed property");

  tr.notOk("a { -webkit-transform: scale(1); }", _.messages.rejected("-webkit-transform"));
  tr.notOk("a { -webkit-transform: scale(1); transform: scale(1); }", _.messages.rejected("-webkit-transform"));
  tr.notOk("a { transform: scale(1); -webkit-transform: scale(1); }", _.messages.rejected("-webkit-transform"));
  tr.notOk("a { -moz-transition: all 3s; }", _.messages.rejected("-moz-transition"));
  tr.notOk("a { -moz-columns: 2; }", _.messages.rejected("-moz-columns"));

  tr.notOk("a { -o-columns: 2; }", _.messages.rejected("-o-columns"), "mistaken prefix");
  tr.notOk("a { -ms-interpolation-mode: nearest-neighbor; }", _.messages.rejected("-ms-interpolation-mode"), "\"hack\" prefix");
});