"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _postcss = require("postcss");

var _utils = require("../../utils");

var ruleName = "property-whitelist";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: function rejected(p) {
    return "Unexpected property \"" + p + "\"";
  }
});

exports.messages = messages;

exports["default"] = function (whitelist) {
  return function (root, result) {

    root.eachDecl(function (decl) {

      var prop = decl.prop;

      if (whitelist.indexOf(_postcss.vendor.unprefixed(prop)) === -1) {
        (0, _utils.report)({
          message: messages.rejected(prop),
          node: decl,
          result: result,
          ruleName: ruleName
        });
      }
    });
  };
};