"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var _ruleNonNestedEmptyLineBefore = require("../rule-non-nested-empty-line-before");

var ruleName = "rule-nested-empty-line-before";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  expected: "Expected empty line before nested rule",
  rejected: "Unexpected empty line before nested rule"
});

/**
 * @param {"always"|"never"|"always-multi-line"|"never-multi-line"} expectation
 * @param {object} options
 * @param {array} options.except - ["first-nested"]
 */
exports.messages = messages;

exports["default"] = function (expectation, options) {
  return function (root, result) {
    root.eachRule(function (rule) {

      // Only attend to nested rule sets
      if (rule.parent === root) {
        return;
      }

      (0, _ruleNonNestedEmptyLineBefore.checkRuleEmptyLineBefore)(rule, expectation, options, result, messages);
    });
  };
};