"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(null, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink; }");
  tr.ok("a { color: pink; background: orange; }");
  tr.ok("a { color: pink; { &:hover { color: orange; } } }", "spec nested");
  tr.ok("a { color: pink; @media { color: orange; } }", "nested");
  tr.ok("a { color: pink; @media { color: orange; &::before { color: black; } } }", "double nested");

  tr.notOk("a { color: pink; color: orange }", _.messages.rejected("color"));
  tr.notOk("a { color: pink; background: orange; color: orange }", _.messages.rejected("color"));
  tr.notOk("a { color: pink; background: orange; background: pink; }", _.messages.rejected("background"));
  tr.notOk("a { color: pink; { &:hover { color: orange; color: black; } } }", _.messages.rejected("color"), "spec nested");
  tr.notOk("a { color: pink; @media { color: orange; color: black; } }", _.messages.rejected("color"), "nested");
  tr.notOk("a { color: pink; @media { color: orange; &::before { color: black; color: white; } } }", _.messages.rejected("color"), "double nested");
  tr.notOk("a { color: pink; @media { color: orange; .foo { color: black; color: white; } } }", _.messages.rejected("color"), "double nested again");
});