"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "rule-no-single-line";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: "Unexpected single-line rule"
});

exports.messages = messages;

exports["default"] = function () {
  return function (root, result) {
    root.eachRule(function (rule) {

      if (!(0, _utils.isSingleLineString)(rule.toString())) {
        return;
      }

      (0, _utils.report)({
        message: messages.rejected,
        node: rule,
        result: result,
        ruleName: ruleName
      });
    });
  };
};