"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("alphabetical", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink; }");
  tr.ok("a { color: pink; color: red; }");
  tr.ok("a { color: pink; color: red; } b { color: pink; color: red; }");
  tr.ok("a { color: pink; top: 0; }");
  tr.ok("a { border: 1px solid pink; border-left-width: 0; }");
  tr.ok("a { color: pink; top: 0; transform: scale(1); }");
  tr.ok("a { -moz-transform: scale(1); -webkit-transform: scale(1); transform: scale(1); }");
  tr.ok("a { color: pink; -webkit-font-smoothing: antialiased; top: 0; }");
  tr.ok("a {{ &:hover { color: red; top: 0; } } }");
  tr.ok("a { top: 0; { &:hover { color: red; } } }");
  tr.ok("a { top: 0; &:hover { color: red; } }");
  tr.ok("a { color: red; width: 0; { &:hover { color: red; top: 0; } } }");
  tr.ok("a { color: red; width: 0; &:hover { color: red; top: 0; } }");
  tr.ok("a { color: red; width: 0; @media print { color: red; top: 0; } }");

  tr.notOk("a { top: 0; color: pink; }", _.messages.expected("color", "top"));
  tr.notOk("a { top: 0; color: pink; } b { color: pink; top: 0; }", _.messages.expected("color", "top"));
  tr.notOk("a { color: pink; transform: scale(1); top: 0; }", _.messages.expected("top", "transform"));
  tr.notOk("a { color: pink; top: 0; -moz-transform: scale(1); transform: scale(1); -webkit-transform: scale(1); }", _.messages.expected("-webkit-transform", "transform"));
  tr.notOk("a { -webkit-transform: scale(1); -moz-transform: scale(1); transform: scale(1); }", _.messages.expected("-moz-transform", "-webkit-transform"));
  tr.notOk("a { -webkit-font-smoothing: antialiased; color: pink;  top: 0; }", _.messages.expected("color", "-webkit-font-smoothing"));
  tr.notOk("a { width: 0; { &:hover { top: 0; color: red; } } }", _.messages.expected("color", "top"));
  tr.notOk("a {{ &:hover { top: 0; color: red; } } }", _.messages.expected("color", "top"));
  tr.notOk("a { width: 0; &:hover { top: 0; color: red; } }", _.messages.expected("color", "top"));
  tr.notOk("a { width: 0; @media print { top: 0; color: red; } }", _.messages.expected("color", "top"));
});

testRule(["transform", "font-smoothing", "top", "color"], function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink; }");
  tr.ok("a { color: pink; color: red; }");
  tr.ok("a { top: 0; color: pink; }");
  tr.ok("a { -moz-transform: scale(1); -webkit-transform: scale(1); transform: scale(1); }");
  tr.ok("a { -webkit-font-smoothing: antialiased; top: 0; color: pink; }");
  tr.ok("a { top: 0; color: pink; width: 0; }");
  tr.ok("a { top: 0; color: pink; width: 0; height: 0; }");
  tr.ok("a { top: 0; color: pink; width: 0; height: 0; display: none; }");

  tr.notOk("a { color: pink; top: 0;  }", _.messages.expected("top", "color"));
  tr.notOk("a { top: 0; transform: scale(1); color: pink; }", _.messages.expected("transform", "top"));
  tr.notOk("a { -moz-transform: scale(1); transform: scale(1); -webkit-transform: scale(1); }", _.messages.expected("-webkit-transform", "transform"));
  tr.notOk("a { -webkit-transform: scale(1); -moz-transform: scale(1); transform: scale(1); }", _.messages.expected("-moz-transform", "-webkit-transform"));
  tr.notOk("a { color: pink; -webkit-font-smoothing: antialiased; }", _.messages.expected("-webkit-font-smoothing", "color"));
  tr.notOk("a { height: 0; color: pink; }", _.messages.expected("color", "height"));
  tr.notOk("a { top: 0; height: 0; color: pink; }", _.messages.expected("color", "height"));
  tr.notOk("a { top: 0; height: 0; color: pink; width: 0 }", _.messages.expected("color", "height"));
});