"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink; }", "single-line declaration block with trailing semicolon");
  tr.ok("a { background: orange; color: pink; }", "multi-line declaration block with trailing semicolon");

  tr.ok("a {{ &:hover { color: pink; }}}", "nesting without first-level decl");

  tr.ok("a { color: red; { &:hover { color: pink; }}}", "nesting with first-level decl");

  tr.ok("a { &:hover { color: pink; }}", "nested");

  tr.notOk("a { color: pink }", _.messages.expected, "single-line declaration block without trailing semicolon");
  tr.notOk("a { background: orange; color: pink }", _.messages.expected, "multi-line declaration block without trailing semicolon");

  tr.notOk("a {{ &:hover { color: pink }}}", _.messages.expected, "nesting without first-level decl");

  tr.notOk("a { color: red; { &:hover { color: pink }}}", _.messages.expected, "nesting with first-level decl");

  tr.notOk("a { &:hover { color: pink }}", _.messages.expected, "nested");
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink }", "single-line declaration block without trailing semicolon");
  tr.ok("a { background: orange; color: pink }", "multi-line declaration block without trailing semicolon");

  tr.notOk("a { color: pink; }", _.messages.rejected, "single-line declaration block with trailing semicolon");
  tr.notOk("a { background: orange; color: pink; }", _.messages.rejected, "multi-line declaration block with trailing semicolon");
});