"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var _selectorCombinatorSpaceAfter = require("../selector-combinator-space-after");

var ruleName = "selector-combinator-space-before";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  expectedBefore: function expectedBefore(c) {
    return "Expected single space before \"" + c + "\" combinator";
  },
  rejectedBefore: function rejectedBefore(c) {
    return "Unexpected whitespace before \"" + c + "\" combinator";
  }
});

/**
 * @param {"always"|"never"} expectation
 */
exports.messages = messages;

exports["default"] = function (expectation) {
  var checker = (0, _utils.whitespaceChecker)("space", expectation, messages);
  return (0, _selectorCombinatorSpaceAfter.selectorCombinatorSpaceChecker)(checker.before);
};