"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(null, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok(":fullscreen a {}");
  tr.notOk(":-webkit-full-screen a {}", _.messages.rejected(":-webkit-full-screen"));
  tr.notOk("body, :-ms-fullscreen a {}", _.messages.rejected(":-ms-fullscreen"));

  tr.ok("input::placeholder { color: pink; }");
  tr.notOk("input:-moz-placeholder, input::placeholder { color: pink; }", _.messages.rejected(":-moz-placeholder"));

  tr.ok("a::before {}", "handles pseudo-element");
  tr.ok("a:hover {}", "handles pseudo-class");
  tr.ok("a[data-foo=\":-webkit-full-screen\"] {}", "string");
});