"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("single", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);
  tr.ok("a { color: pink; }");

  tr.ok("a:before { color: pink; }");
  tr.ok("a:after { color: pink; }");
  tr.ok("a:first-letter { color: pink; }");
  tr.ok("a:first-line { color: pink; }");
  tr.ok("a:before, a[data-before='before'] { color: pink; }");

  tr.notOk("a::before { color: pink; }", _.messages.expected("single"));
  tr.notOk("a::after { color: pink; }", _.messages.expected("single"));
  tr.notOk("a::first-line { color: pink; }", _.messages.expected("single"));
  tr.notOk("a::first-letter { color: pink; }", _.messages.expected("single"));

  // Ignores newer pseudo-elements that only accept double
  tr.ok("::selection { color: pink; }");
  tr.ok("a::spelling-error { color: pink; }");
  tr.ok("a::grammar-error { color: pink; }");
  tr.ok("li::marker { font-variant-numeric: tabular-nums; }");
  tr.ok("input::placeholder { color: pink; }");
});

testRule("double", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);
  tr.ok("a { color: pink; }");

  tr.ok("a::before { color: pink; }");
  tr.ok("a::after { color: pink; }");
  tr.ok("a::first-letter { color: pink; }");
  tr.ok("a::first-line { color: pink; }");
  tr.ok("a::before, a[data-before='before'] { color: pink; }");

  tr.notOk("a:before { color: pink; }", _.messages.expected("double"));
  tr.notOk("a:after { color: pink; }", _.messages.expected("double"));
  tr.notOk("a:first-line { color: pink; }", _.messages.expected("double"));
  tr.notOk("a:first-letter { color: pink; }", _.messages.expected("double"));

  tr.ok("::selection { color: pink; }");
  tr.ok("a::spelling-error { color: pink; }");
  tr.ok("a::grammar-error { color: pink; }");
  tr.ok("li::marker { font-variant-numeric: tabular-nums; }");
  tr.ok("input::placeholder { color: pink; }");
});