"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "selector-root-no-composition";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: "Unexpected composition of the \":root\" selector"
});

exports.messages = messages;

exports["default"] = function () {
  return function (root, result) {
    root.eachRule(function (rule) {
      if (rule.selector.indexOf(":root") === -1) {
        return;
      }

      if (rule.selector.trim() === ":root") {
        return;
      }

      (0, _utils.report)({
        message: messages.rejected,
        node: rule,
        result: result,
        ruleName: ruleName
      });
    });
  };
};