"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

// warningFreeBasics won't work because it includes a string
testRule("single", function (tr) {
  // special-warning-free-basics
  tr.ok("");
  tr.ok("a {}");
  tr.ok("@import url(foo.css);");
  tr.ok("a { color: pink; }");

  tr.ok("a::before { content: 'foo'; }");
  tr.ok("a { background: url('foo'); }");
  tr.ok("a[id='foo'] {}");
  tr.notOk("a::before { content: \"foo\"; }", _.messages.expected("single", 1));
  tr.notOk("a::before\n{\n  content: \"foo\";\n}", _.messages.expected("single", 3));
  tr.notOk("a[id=\"foo\"] {}", _.messages.expected("single", 1));
  tr.notOk("a\n{ background: url(\"foo\"); }", _.messages.expected("single", 2));

  tr.ok("a::before { content: 'foo\"horse\"\'cow\''; }", "string in strings");
  tr.ok("a { /* \"horse\" */ }", "ignores comment");
});

testRule("double", function (tr) {
  // special-warning-free-basics
  tr.ok("");
  tr.ok("a {}");
  tr.ok("@import url(foo.css);");
  tr.ok("a { color: pink; }");

  tr.ok("a::before { content: \"foo\"; }");
  tr.ok("a { background: url(\"foo\"); }");
  tr.ok("a[id=\"foo\"] {}");
  tr.notOk("a::before { content: 'foo'; }", _.messages.expected("double", 1));
  tr.notOk("a::before\n{\n  content: 'foo';\n}", _.messages.expected("double", 3));
  tr.notOk("a[id='foo'] {}", _.messages.expected("double", 1));
  tr.notOk("a { background: url('foo'); }", _.messages.expected("double", 1));

  tr.ok("a::before { content: \"foo\"horse\"'cow'\"; }", "string in strings");
  tr.ok("a { /* 'horse' */ }", "ignores comment");
});