"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(null, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok(".foo { display: flex; }");
  tr.notOk(".foo { display: -webkit-flex; }", _.messages.rejected("-webkit-flex"));
  tr.notOk(".foo { color: pink; display: -webkit-flex; }", _.messages.rejected("-webkit-flex"));
  tr.notOk(".foo { display: -webkit-box; }", _.messages.rejected("-webkit-box"));

  tr.ok(".foo { background: linear-gradient(to top, #000, #fff); }");
  tr.notOk(".foo { background: -webkit-linear-gradient(bottom, #000, #fff); }", _.messages.rejected("-webkit-linear-gradient"));

  tr.ok(".foo { max-width: max-content; }");
  tr.notOk(".foo { max-width: -moz-max-content; }", _.messages.rejected("-moz-max-content"));
});