"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _cssStatementIsNestingBlock = require("../cssStatementIsNestingBlock");

var _cssStatementIsNestingBlock2 = _interopRequireDefault(_cssStatementIsNestingBlock);

var _postcss = require("postcss");

var _postcss2 = _interopRequireDefault(_postcss);

var _tape = require("tape");

var _tape2 = _interopRequireDefault(_tape);

(0, _tape2["default"])("cssStatementIsNestingBlock", function (t) {

  t.ok(postcssCheck("a {{ &:hover { color: pink; }}}"), "nesting without first level");
  t.ok(postcssCheck("a { color: red; { &:hover { color: pink; }}}"), "nesting with first level");

  t.notOk(postcssCheck("a {}"), "empty rule");
  t.notOk(postcssCheck("a { color: pink; }"), "not empty rule");
  t.notOk(postcssCheck("@media print { a { color: pink; } }"), "not empty @media");
  t.notOk(postcssCheck("@supports (animation-name: test) { a { color: pink; } }"), "not empty @supports");
  t.notOk(postcssCheck("@document url(http://www.w3.org/) { a { color: pink; } }"), "not empty @document");
  t.notOk(postcssCheck("@page :pseudo-class { a { color: pink; } }"), "not empty @page");
  t.notOk(postcssCheck("@font-face { font-family: sans; }"), "not empty @font-face");
  t.notOk(postcssCheck("@keyframes identifier { 0% { top: 0; left:} }"), "not empty @keyframes");

  t.end();
});

function postcssCheck(cssString) {
  var root = _postcss2["default"].parse(cssString);
  var isNestingBlock = false;
  root.eachRule(function (rule) {
    if ((0, _cssStatementIsNestingBlock2["default"])(rule)) {
      isNestingBlock = true;
      return false;
    }
  });
  root.eachAtRule(function (atRule) {
    if ((0, _cssStatementIsNestingBlock2["default"])(atRule)) {
      isNestingBlock = true;
      return false;
    }
  });
  return isNestingBlock;
}