"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _cssStatementHasBlock = require("./cssStatementHasBlock");

/**
 * Given a CSS statement, return the string before the block.
 * For rules, this is the selector list (and surrounding whitespace).
 * For at-rules, this is the name and params (and surrounding whitespace).
 *
 * If there is no block, return undefined.
 *
 * @param {Rule|AtRule} statement - postcss rule or at-rule node
 * @return {string|undefined}
 */

var _cssStatementHasBlock2 = _interopRequireDefault(_cssStatementHasBlock);

exports["default"] = function (statement) {
  if (!(0, _cssStatementHasBlock2["default"])(statement)) {
    return;
  }

  return statement.type === "rule" ? statement.before + statement.selector + statement.between : statement.before + "@" + statement.name + statement.afterName + statement.params + statement.between;
};

module.exports = exports["default"];