"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _autoprefixerCore = require("autoprefixer-core");

var _autoprefixerCore2 = _interopRequireDefault(_autoprefixerCore);

var _autoprefixerCoreLibPrefixes = require("autoprefixer-core/lib/prefixes");

var _autoprefixerCoreLibPrefixes2 = _interopRequireDefault(_autoprefixerCoreLibPrefixes);

var _autoprefixerCoreLibBrowsers = require("autoprefixer-core/lib/browsers");

/**
 * Use Autoprefixer's secret powers to determine whether or
 * not a certain CSS identifier contains a vendor prefix that
 * Autoprefixer, given the standardized identifier, could add itself.
 *
 * Used by `*-no-vendor-prefix-*` rules to find superfluous
 * vendor prefixes.
 */

var _autoprefixerCoreLibBrowsers2 = _interopRequireDefault(_autoprefixerCoreLibBrowsers);

var prefixes = new _autoprefixerCoreLibPrefixes2["default"](_autoprefixerCore2["default"].data.prefixes, new _autoprefixerCoreLibBrowsers2["default"](_autoprefixerCore2["default"].data.browsers, []));

/**
 * Most identifier types have to be looked up in a unique way,
 * so we're exposing special functions for each.
 */
exports["default"] = {

  atRuleName: function atRuleName(identifier) {
    return prefixes.remove["@" + identifier];
  },

  selector: function selector(identifier) {
    return prefixes.remove.selectors.some(function (selectorObj) {
      return identifier === selectorObj.prefixed;
    });
  },

  mediaFeatureName: function mediaFeatureName(identifier) {
    return identifier.indexOf("device-pixel-ratio") !== -1;
  },

  property: function property(identifier) {
    return _autoprefixerCore2["default"].data.prefixes[prefixes.unprefixed(identifier)];
  },

  propertyValue: function propertyValue(prop, value) {
    var possiblePrefixableValues = prefixes.remove[prop] && prefixes.remove[prop].values;
    return possiblePrefixableValues && possiblePrefixableValues.some(function (valueObj) {
      return value === valueObj.prefixed;
    });
  }

};
module.exports = exports["default"];